
import 'package:flutter/material.dart';
import '../models/located_address.dart';
import '../models/cart_info.dart';
import '../models/user.dart';

class UpdateContext {
  final BuildContext context;
  UpdateContext(this.context);
}

class UpdateLocale {
  final Locale locale;
  UpdateLocale(this.locale);
}

class UpdateCurrentUser {
  final User? user;
  UpdateCurrentUser(this.user);
}

class UpdateRedirectRoute {
  final String route;
  UpdateRedirectRoute(this.route);
}

class UpdateCartInfo {
  final List<CartInfo> cartInfos;
  UpdateCartInfo(this.cartInfos);
}

class UpdateLocatedAddress {
  final LocatedAddress locatedAddress;
  UpdateLocatedAddress(this.locatedAddress);
}

class UpdateFcmToken {
  final String token;
  UpdateFcmToken(this.token);
}

class UpdateLastVisit {
  final List<int> lastVisit;
  UpdateLastVisit(this.lastVisit);
}

class UpdateDeviceId {
  final String deviceId;
  UpdateDeviceId(this.deviceId);
}

class UpdateTableNumber {
  final String tableNumber;
  UpdateTableNumber(this.tableNumber);
}